Subject: Re: [PATCH v2] branch: improve error log on branch not found by checking remotes refs

From: Clement Mabileau <[email-masked]>
Date: Tue, 4 Apr 2023 15:30:33 +0200

On 3/23/23 16:51, Clement Mabileau wrote:
>
> Well maybe it got it from the original commit or from my GitHub
> username, I can't know for sure. But sorry for that :/ , I'll make
> sure it's fixed it for potential future contribution!
>
> Before fixing anything about the code maybe I should first address your
> last point which is the interest of the patch in the first place (and I
> should have started with that...).
>
> A few months earlier, for the first time, I had to delete a remote ref
> (because of a fork I fetched but no longer wanted: maybe a designed
> solution exists but I'm not aware of it). However, despite being used to
> git I had a hard time figuring out how to do it, I tried different
> things, one was `git branch -d origin/<branch>` (I recently discovered
> that it was written in `git branch --help` but I didn't find it at the
> time). Even googling it proved difficult (because of a poor keyword
> choice I must confess), most results was dealing with deleting remote
> branches, such as `git push remote :branch`.
> In the end, I finally understood that I needed that `--remote` flag and
> really regretted that there wasn't an hint message to head me towards
> the solution when I was getting close to it.
>
> Now I hope you'll understand why I suggested this patch. Maybe I'm the
> only one that ended up in this situation, in this case I'd understand
> that you would no longer be interested in the patch!
> However if you still are, I'll be happy to make the modification you
> asked for.
>
>
> Yeah probably, I'll fix it along with the other.
>
> Thanks for reviewing this!

Well, it would be nice to have an answer in order to know if I should 
abandon this patch or not :)
Thanks!